#ifndef __CURSES_H
#define __CURSES_H

extern int PlayerDisp[MAX_SCREENS];

extern void InitScreens(void);
extern void CleanupScreens(void);
static void GetTermcapInfo(void);
static void OutputTermStr(char *str, int flush);
extern void DrawBox(int x1, int y1, int x2, int y2);
extern void DrawField(int scr);
extern void InitFields(void);
static void DisplayMessage(char *p);
extern void Messagef(char *fmt, ...);
extern void Messagetype(char c, int x, char *s);
extern void PlotBlock(int scr, int y, int x, unsigned char type);
extern void PlotBlockXY(int y, int x, unsigned char type);
extern void ShowScore(int scr, struct _Score score);
extern void FieldMessage(int playa, char *message);
extern void ShowPause(int playa);
extern void ShowTime(void);
extern void ScheduleFullRedraw(void);
static void CatchWinCh(int sig);

#endif //__CURSES_H

